package com.brilliance.isc.mda.dao;

import com.brilliance.isc.esb.newmodel.cecm.Cecmame;
import com.brilliance.isc.esb.newmodel.cecm.Cecmopn;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface CecmopnMapper {

    int insert(Cecmopn record);

    int insertSelective(Cecmopn record);

    int updateByPrimaryKeySelective(Cecmopn record);

    int updateByPrimaryKey(Cecmopn record);

    int deleteByPrimaryKey(Cecmopn record);

    int deleteByIds(Collection<Object> collection);

    Cecmopn selectByPrimaryKey(Cecmopn record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Cecmopn> dyncRead(Map<String, Object> dyncMap);

    Cecmopn selectByTrninr(String trninr);

    int deleteByTrninr(String trninr);
}